Skip to Content
Booking

Update accommodation booking settings

Toegang

Lid van de organisatie met dit recht:

  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

PUT
/orgs/{organizationId}/booking/accommodations/{id}

How a terrain type is offered online: visibility, capacity, prices, nights, photos and amenities.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
bookableOnline*boolean
publicDescription*|null
maxPersons*|null
includedPersons*integer
Range0 <= value <= 50
basePricePerNight*|null
pricePerAdultPerNight*number
Range0 <= value
pricePerChildPerNight*number
Range0 <= value
pricePerAnimalPerNight*number
Range0 <= value
minNights*integer
Range1 <= value <= 365
maxNights*|null
taxPercentage*number
Range0 <= value <= 100
imageUrls*array<>
Itemsitems <= 12
amenities*array<>
Itemsitems <= 30
sortOrder*integer
Range0 <= value <= 1000

Response Body

OK

application/json
  1. response
Example Request
curl -X PUT 'https://api.tillor.eu/orgs//booking/accommodations/string' \  -H 'Content-Type: application/json' \  -d '{  "bookableOnline": true,  "publicDescription": "string",  "maxPersons": 1,  "includedPersons": 0,  "basePricePerNight": 0,  "pricePerAdultPerNight": 0,  "pricePerChildPerNight": 0,  "pricePerAnimalPerNight": 0,  "minNights": 1,  "maxNights": 1,  "taxPercentage": 0,  "imageUrls": [    "http://example.com"  ],  "amenities": [    "string"  ],  "sortOrder": 0}'
Example Response
null